[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdActns' (#lcl)

# TCommonDialogAction.GetDialogClass

Returns the class type for the dialog associated with this action.

## Declaration

Source position: stdactns.pas line 135

`protected function TCommonDialogAction.GetDialogClass: TCommonDialogClass; virtual;`

## Function result

Class type for the dialog associated with the dialog action.

## Description

GetDialogClass always returns Nil in TCommonDialogAction. It must be overridden in a descendent class to return the class type which is valid for the dialog action subclass.